Subject: bug#44604: 27.1; gpg error when language environment is set to Turkish

From: Fatih Aydin <[email-masked]>
Date: Fri, 13 Nov 2020 09:10:41 +0000

I have changed my locale back to English before sending the bug report.
Okay I will write the recipe,
Steps to reproduce:
- Start Emacs
- Set language environment to Turkish. (doesn't matter how you do it:
customize menu or use set-language-environment or change LANG variable of
the system) To have the result without a reboot, use
set-language-environment function.
- Run package-install, you will get the error I mentioned. Also before that
error you will see some messages with 'unknown proxy direct' in it.

I have tested this on two different laptops with same OS and the same
internet connection. I got the same result.

Thank you.

On Friday, November 13, 2020, Eli Zaretskii <[email-masked]> wrote:
>> From: Fatih Aydin <[email-masked]>
>> Date: Thu, 12 Nov 2020 19:44:35 +0000
>>
>> When I set Turkish as the language environment, I started to have
problems
>>  with gpg.
>> I have tried to;
>> - Change lanuage environment of OS (locale.conf) instead of changing it
in
>>  Emacs, nothing changed.
>> - Set another languages to see if they also cause problem (Polish and
>>  Arabic), they were okay. Only Turkish is the problematic one.
>> The problems I have observed:
>> - I get this error message when I run package-install:
>> Error while verifying signature archive-contents.sig:
>> Command output:gpg: Signature made Thu 12 Nov 2020 01:05:03 PM +03
>> - When I run org-decrypt-entry, nothing happens. (in English, it works)
>> In GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.22,
cairo
>>  version 1.17.3)
>
> Can you please show a recipe to reproduce the problem starting from
> "emacs -Q"?  In particular, please describe how did you set the
> Turkish language environment, given that your locale is en_US.UTF-8.
>
> Thanks.
>